# std::_Base_bitset< 1 > Struct Template Reference

List of all members.

## Detailed Description

### template<>
struct std::_Base_bitset< 1 >

Definition at line 336 of file bitset.

## Public Types

- typedef unsigned long _WordT

## Public Member Functions

- _Base_bitset (unsigned long __val)
- _Base_bitset (void)
- void _M_do_and (const _Base_bitset< 1 > &__x)
- size_t _M_do_count () const
- size_t _M_do_find_first (size_t __not_found) const
- size_t _M_do_find_next (size_t __prev, size_t __not_found) const
- void _M_do_flip ()
- void _M_do_left_shift (size_t __shift)
- void _M_do_or (const _Base_bitset< 1 > &__x)
- void _M_do_reset ()
- void _M_do_right_shift (size_t __shift)
- void _M_do_set ()
- unsigned long _M_do_to_ulong () const
- void _M_do_xor (const _Base_bitset< 1 > &__x)
- _WordT _M_getword (size_t) const
- _WordT & _M_getword (size_t)
- _WordT _M_hiword () const
- _WordT & _M_hiword ()
- bool _M_is_any () const
- bool _M_is_equal (const _Base_bitset< 1 > &__x) const

## Static Public Member Functions

- static _WordT _S_maskbit (size_t __pos)
- static size_t _S_whichbit (size_t __pos)
- static size_t _S_whichbyte (size_t __pos)
- static size_t _S_whichword (size_t __pos)

## Public Attributes

- _WordT _M_w

The documentation for this struct was generated from the following file:

- bitset